#*******************************************************************************
# Licensed Materials - Property of IBM
# (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved.
#
# Note to U.S. Government Users Restricted Rights:  
# Use, duplication or disclosure restricted by GSA ADP Schedule 
# Contract with IBM Corp. 
#*******************************************************************************

use strict;
use CQPerlExt;

my $numArgs = @ARGV;

if ($numArgs != 12) {
   print STDERR ("Error: Incorrect Number of Arguments\n");
   print STDERR ("Usage: ratlperl GetRecordComment -username <user> -password <password> -userdb <user db> -dbset <dbset> -type <RecordType> -id <RecordID>\n");
   exit(1);
}	

if ($ARGV[9] eq "UCMUtilityActivity") {

   my $CQSession = CQSession::Build();

   $CQSession->UserLogon($ARGV[1], $ARGV[3], $ARGV[5], $ARGV[7]);

   my $EntityObj = $CQSession->GetEntity($ARGV[9], $ARGV[11]);
    
   my $FieldName = "Description"; 
   my $ExistingComment = $EntityObj->GetFieldValue($FieldName)->GetValue();
   
   print("$ExistingComment");
} else {
   print STDERR ("Error: Unsupported Record Type: $ARGV[9]\n");
   exit(1);
}